curl --request POST \
--url https://api.getcargo.io/v1/orchestration/runs/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workflowUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"releaseUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"batchUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statuses": [],
"recordId": "<string>",
"recordTitle": "<string>",
"recordTitleOrId": "<string>",
"parentBatchUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parentUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parentNodeUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isGroupParent": true,
"createdAfter": "<string>",
"createdBefore": "<string>",
"updatedAfter": "<string>",
"updatedBefore": "<string>",
"limit": 123,
"offset": 123
}
'import requests
url = "https://api.getcargo.io/v1/orchestration/runs/list"
payload = {
"workflowUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"releaseUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"batchUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statuses": [],
"recordId": "<string>",
"recordTitle": "<string>",
"recordTitleOrId": "<string>",
"parentBatchUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parentUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parentNodeUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isGroupParent": True,
"createdAfter": "<string>",
"createdBefore": "<string>",
"updatedAfter": "<string>",
"updatedBefore": "<string>",
"limit": 123,
"offset": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workflowUuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
userUuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
releaseUuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
batchUuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
statuses: [],
recordId: '<string>',
recordTitle: '<string>',
recordTitleOrId: '<string>',
parentBatchUuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
parentUuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
parentNodeUuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
isGroupParent: true,
createdAfter: '<string>',
createdBefore: '<string>',
updatedAfter: '<string>',
updatedBefore: '<string>',
limit: 123,
offset: 123
})
};
fetch('https://api.getcargo.io/v1/orchestration/runs/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"runs": [
{
"uuid": "<string>",
"workspaceUuid": "<string>",
"workflowUuid": "<string>",
"userUuid": "<string>",
"releaseUuid": "<string>",
"nodes": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"config": {},
"childrenUuids": [
"<string>"
],
"fallbackOnFailure": true,
"position": {
"x": 123,
"y": 123
},
"kind": "native",
"actionSlug": "<string>",
"name": "<string>",
"description": "<string>",
"retry": {
"maximumAttempts": 123,
"initialInterval": 123,
"backoffCoefficient": 123
},
"fallbackChildUuid": "<string>"
}
],
"batchUuid": "<string>",
"traceUuid": "<string>",
"temporalWorkflowId": "<string>",
"recordId": "<string>",
"recordTitle": "<string>",
"contextS3Filename": "<string>",
"computedConfigsS3Filename": "<string>",
"parentUuid": "<string>",
"parentNodeUuid": "<string>",
"parentBatchUuid": "<string>",
"parentAgentUuid": "<string>",
"parentChatUuid": "<string>",
"parentMessageUuid": "<string>",
"isGroupParent": true,
"errorMessage": "<string>",
"executions": [
{
"nodeUuid": "<string>",
"nodeSlug": "<string>",
"nodeBatchUuid": "<string>",
"nodeRunUuid": "<string>",
"nodeMessageUuid": "<string>",
"nodeChildIndex": 123,
"nextNodeUuid": "<string>",
"errorMessage": "<string>",
"title": "<string>",
"iconUrl": "<string>",
"creditsUsedCount": 123,
"nodeWaitUntilFinished": true,
"nodeKind": "<string>",
"nodeActionSlug": "<string>"
}
],
"createdAt": "<string>",
"updatedAt": "<string>",
"finishedAt": "<string>",
"deletedAt": "<string>"
}
],
"count": 123
}List runs
List orchestration runs
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Request body schema.
Workflow identifier.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$User identifier to filter by.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Release identifier to filter by.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Batch identifier to filter by.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Run statuses to include.
idle, pending, running, success, error, cancelling, cancelled, skipped Record ID to filter by.
Record title to filter by.
Record title or ID to filter by.
Parent batch identifier to filter by.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Parent run identifier to filter by.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Parent node identifier to filter by.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Whether to select group parent runs.
Execution filters for matching runs.
Show child attributes
Show child attributes
Include runs created after this timestamp.
Include runs created before this timestamp.
Include runs updated after this timestamp.
Include runs updated before this timestamp.
Maximum number of runs to return.
Number of runs to skip.
Was this page helpful?

